SPA Test Data
SPA: Creates a new Test Data
Creates a new test data for the authenticated user's client.
POST
/api/spa/test-dataAuthorizations
X-AUTH-TOKEN
stringheaderrequired
Value for the X-AUTH-TOKEN header parameter.
Request Body
application/json
required
The new TestData resource
{
"id": 12345,
"name": "My Test Data",
"data": "{\"key\": \"value\"}",
"client": {},
"subClient": {},
"createdBy": "user1@company.com",
"updatedBy": "user1@company.com",
"createdAt": "2024-08-23T00:00:00+00:00",
"updatedAt": "2024-08-23T00:00:00+00:00",
"subClientDefault": false,
"subClientId": 3,
"subClientDescription": "Branch Office A",
"subClientColor": "#083E5D"
}Response
201
TestData resource created
id
integer
Identifier generated by Output.Rocks.
name
stringrequired
Name of the test data
data
object
JSON data
client
object
subClient
object
createdBy
string
User, created this entry
updatedBy
string
User, updated this entry
createdAt
string<date-time>
UTC date time of entry creation
updatedAt
string<date-time>
UTC date time of last entry update
subClientDefault
boolean
Default for environmental tenants (sub-clients)
subClientId
integer
SubClient ID. Provided on instances with enabled sub-client module only.
subClientDescription
string
SubClient description. Provided on instances with enabled sub-client module only.
subClientColor
string
SubClient display colour. Provided on instances with enabled sub-client module only.